wibble::log::LevelFilter Struct Reference

Log only messages whose level is >= minLevel. More...

`#include <filters.h>`

Inheritance diagram for wibble::log::LevelFilter:
[legend]
Collaboration diagram for wibble::log::LevelFilter:
[legend]

## Public Member Functions

| LevelFilter (Sender *next=0, log::Level minLevel=log::INFO)
virtual | ~LevelFilter ()
virtual void | send (log::Level level, const std::string &msg)
| Log one line of text with the given level. More...
Public Member Functions inherited from wibble::log::Sender
virtual | ~Sender ()

## Public Attributes

Sender * | next
log::Level | minLevel

## Detailed Description

Log only messages whose level is >= minLevel.

## Constructor & Destructor Documentation

## LevelFilter()

wibble::log::LevelFilter::LevelFilter | ( | Sender * | next = `0`,
|  | log::Level | minLevel = `log::INFO`
| ) |  |

## ~LevelFilter()

wibble::log::LevelFilter::~LevelFilter | ( |  | ) |

virtual

## Member Function Documentation

## send()

void wibble::log::LevelFilter::send | ( | log::Level | level,
|  | const std::string & | msg
| ) |  |

virtual

Log one line of text with the given level.

Do not add a trailing newline

Implements wibble::log::Sender.

References minLevel, next, and wibble::log::Sender::send().

## Member Data Documentation

## minLevel

log::Level wibble::log::LevelFilter::minLevel

Referenced by send().

## next

Sender* wibble::log::LevelFilter::next

Referenced by send(), wibble::log::Tee::send(), and wibble::log::Tee::Tee().

The documentation for this struct was generated from the following files:

- filters.h
- filters.cpp